# Exemple C3_Rotation.py
import numpy as np
from   MEC1315_STL import *
def RotationY(objet,p,theta):
    F, V, N = objet[0], objet[1], objet[2]
    U = p + V.dot(RyT(theta))               # U = p^T + V R^T                               #Deplacement U = p^T + V
    return [F,U,N]
def Groupe(objet1, objet2):                 #Groupement de 2 objets STL
    objet2[0]= objet2[0] + len(objet1[1])   #Decalage des numeros de vertex
    F = np.vstack((objet1[0],objet2[0]))    #Empile les matrices Fi,Vi,Ni
    V = np.vstack((objet1[1],objet2[1]))
    N = np.vstack((objet1[2],objet2[2]))
    return [F,V,N]
print('Lecture du fichier Noyau.stl ...')    
Noyau = LireSTL('Noyau.stl')
print('Lecture du fichier Carter.stl ...')    
Carter = LireSTL('Carter.stl')
Carter = RotationY(Carter,[ 0, 0, -26.1],np.pi/2)
F,V,N  = Groupe(Noyau,Carter)      #Groupe 2 objets
print('Ecriture du fichier Moteur1.stl ...')
EcrireSTLASCII('Moteur1.stl',F,V,N)  #Ecriture du fichier