#Exemple C3_Translation.py
import numpy as np
from   MEC1315_STL import *
def Translation(objet,p):
    F, V, N = objet[0], objet[1], objet[2]
    U = p + V                               #Deplacement U = p^T + V
    return [F,U,N]
def Groupe(objet1, objet2):                 #Groupement de 2 objets STL
    objet2[0]= objet2[0] + len(objet1[1])   #Decalage des numeros de vertex
    F = np.vstack((objet1[0],objet2[0]))    #Empile les matrices Fi,Vi,Ni
    V = np.vstack((objet1[1],objet2[1]))
    N = np.vstack((objet1[2],objet2[2]))
    return [F,V,N]
print('Lecture du fichier Couvercle.stl ...')    
Couv  = LireSTL('Couvercle.stl') #Lecture du fichier STL
print('Lecture du fichier Rotor.stl ...')    
Rotor = LireSTL('Rotor.stl')    #Lecture du fichier STL
Rotor = Translation(Rotor,[ 0, 0, -20])
F,V,N = Groupe(Rotor,Couv)      #Groupe 2 objets
print('Ecriture du fichier Noyau.stl ...')
EcrireSTLASCII('Noyau.stl',F,V,N)  #Ecriture du fichier